Bug 1640127 - assert failure in coalesce.cpp: attempted to spill a non-spillable item
Summary: assert failure in coalesce.cpp: attempted to spill a non-spillable item
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 6.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Roland Westrelin
QA Contact: OpenJDK QA
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1640129
TreeView+ depends on / blocked
 
Reported: 2018-10-17 11:51 UTC by Paulo Andrade
Modified: 2019-04-17 15:37 UTC (History)
8 users (show)

(edit)
Clone Of:
: 1640129 (view as bug list)
(edit)
Last Closed: 2019-04-17 15:37:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
openjdk bug system JDK-8209639 None None None 2018-10-29 17:30 UTC
Red Hat Product Errata RHSA-2019:0774 None None None 2019-04-17 15:37 UTC

Description Paulo Andrade 2018-10-17 11:51:23 UTC
Issue reported upstream at https://bugs.openjdk.java.net/browse/JDK-8209639

  Need to backport the patch to official Red Hat packages.

Comment 2 Deepak Bhole 2018-10-17 13:27:38 UTC
Assigning to Roland to backport and sync with Jiri to ensure package inclusion.

Comment 3 Roland Westrelin 2018-10-24 09:07:31 UTC
Change is backported to 8u. 

http://hg.openjdk.java.net/jdk8u/jdk8u-dev/hotspot/rev/d853bac073f8

Change depends on:

http://hg.openjdk.java.net/jdk8u/jdk8u-dev/hotspot/rev/e044997c2eda

that must be applied first.

Comment 4 jiri vanek 2018-10-26 13:46:32 UTC
Pull requests for fedora created:
https://src.fedoraproject.org/rpms/java-11-openjdk/pull-request/14
https://src.fedoraproject.org/rpms/java-1.8.0-openjdk/pull-request/39
From there will flow to rhel8,7 and 6.

Comment 5 jiri vanek 2018-11-02 09:09:18 UTC
Merged to fedora, reached rhel7 and 8. For rhel6, waiting for acks in this bug.

Comment 13 errata-xmlrpc 2019-04-17 15:37:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0774


Note You need to log in before you can comment on or make changes to this bug.